#1149 "Requested mode change failed"

v1.0_(example)
closed
None
1
2015-09-24
2013-12-08
No

Having upgraded to v3.32, launching PaswordSafe (with -s option) gives a popup with a title "Requested mode change failed", saying "Failed to switch from R/W to R-O: Could not release database lock." Clicking OK, PasswordSafe appears to run normally.

Related

Bugs: #1149

Discussion

1 2 > >> (Page 1 of 2)
  • Philip Le Riche

    Philip Le Riche - 2013-12-20

    See attached.

     
  • Rony Shapiro

    Rony Shapiro - 2013-12-25

    I'm having trouble reproducing this:
    - Is "-s" given alone, or with the path to a database file?
    - Is the database being opened read-only or read-write?
    - Does the error appear immediately, or only after entering the master passphrase?

     
    • Philip Le Riche

      Philip Le Riche - 2013-12-26

      Hi Rony -

      I'm using -s <database file="" path="">, and I'm opening the db r/w. The message
      comes up immediately, and if I dismiss it I'm given the opportunity to
      enter the database password.

      If I launch pwsafe by double-clicking pwsafe.exe it remembers the last db
      file and comes up normally, without the error message.

      Attached is a log file produced by Sysinternals Process Monitor. Open it
      with Process Monitor and you should see all the file and registry
      operations performed by pwsafe up to and including the point where the
      error was displayed. Capture was halted while the error was still on screen
      and before typing the password. Hopefully this should pin it down.

      I rather suspect it's a weird file permissions problem, possibly due to the
      fact that my database file was recently copied across from an old XP system
      which I no longer have. That said, the security settings on the database
      show it as owned by me (logged in user) and with full permissions, however,
      the most confusing thing I've found in moving from XP to Win7 is that Win7
      seems to modulate the ACLs you actually see in the name of UAC, or some
      other Redmond meta-policy which still escapes me.

      If it is such a file permissions problem that I need to fix by tweaking
      ACLs or something, you might feel inclined to reclassify it as a feature
      rather than a bug, however, if you do so the error message certainly needs
      to be made more helpful.

      Regards - Philip

      On 25 December 2013 20:37, Rony Shapiro ronys@users.sf.net wrote:

      I'm having trouble reproducing this:
      - Is "-s" given alone, or with the path to a database file?
      - Is the database being opened read-only or read-write?
      - Does the error appear immediately, or only after entering the master
      passphrase?


      Status: open
      Created: Sun Dec 08, 2013 08:07 PM UTC by Philip Le Riche
      Last Updated: Fri Dec 20, 2013 10:41 AM UTC
      Owner: nobody

      Having upgraded to v3.32, launching PaswordSafe (with -s option) gives a
      popup with a title "Requested mode change failed", saying "Failed to switch
      from R/W to R-O: Could not release database lock." Clicking OK,
      PasswordSafe appears to run normally.


      Sent from sourceforge.net because you indicated interest in
      https://sourceforge.net/p/passwordsafe/bugs/1149/

      To unsubscribe from further messages, please visit
      https://sourceforge.net/auth/subscriptions/

       

      Related

      Bugs: #1149

  • James Walters

    James Walters - 2013-12-26

    I can verify that this happens to me as well.

    I am also opening with a lone "-s". It's kind of irritating, but once I click "ok" all seems to be well with no database open. I can then open my database and function normally.

    Can it be that PWS thinks that it has a valid database name but it doesn't and then when it tries to interact with that it can't? Perhaps it is not bypassing all of the startup database code when there is no database and is, instead, acting on some sort of garbage in the database properties that haven't been initialized correctly? Note that I have not looked at any of the code to see whether I'm right or not.

     
    Last edit: James Walters 2013-12-26
  • Rony Shapiro

    Rony Shapiro - 2013-12-28
    • status: open --> accepted
    • assigned_to: Rony Shapiro
     
  • Rony Shapiro

    Rony Shapiro - 2013-12-28

    I've found a possible fix, but as I can't reproduce the problem, I need your help in verifying this.
    A version with the fix is in
    http://pwsafe.org/tmp/pwsafe-3.32.1-bin.zip
    Please download and let me know if this resolves the issue.

     
    Last edit: Rony Shapiro 2013-12-30
    • Philip Le Riche

      Philip Le Riche - 2013-12-30

      Hi Rony - Thanks, I'll try it this evening. Regards Philip

      On 28/12/2013 20:10, Rony Shapiro wrote:

      I've found a possible fix, but as I can't reproduce the problem, I
      need your help in verifying this.
      A version with the fix is in http://pwsafe.org/tmp/pwsafe-3.32.1-bin.zip.
      Please download and let me know if this resolves the issue.


      [bugs:#1149] http://sourceforge.net/p/passwordsafe/bugs/1149/
      "Requested mode change failed"

      Status: accepted
      Created: Sun Dec 08, 2013 08:07 PM UTC by Philip Le Riche
      Last Updated: Thu Dec 26, 2013 08:42 PM UTC
      Owner: Rony Shapiro

      Having upgraded to v3.32, launching PaswordSafe (with -s option) gives
      a popup with a title "Requested mode change failed", saying "Failed to
      switch from R/W to R-O: Could not release database lock." Clicking OK,
      PasswordSafe appears to run normally.


      Sent from sourceforge.net because you indicated interest in
      https://sourceforge.net/p/passwordsafe/bugs/1149/

      To unsubscribe from further messages, please visit
      https://sourceforge.net/auth/subscriptions/


      This email is free from viruses and malware because avast! Antivirus protection is active.
      http://www.avast.com

       

      Related

      Bugs: #1149

    • Philip Le Riche

      Philip Le Riche - 2013-12-31

      Hi Rony -

      Sorry - the new version 3.32.01 dated 28/12/13 still seems to manifest
      the same problem, with no perceptible difference.

      Regards - Philip

      On 28/12/2013 20:10, Rony Shapiro wrote:

      I've found a possible fix, but as I can't reproduce the problem, I
      need your help in verifying this.
      A version with the fix is in http://pwsafe.org/tmp/pwsafe-3.32.1-bin.zip.
      Please download and let me know if this resolves the issue.


      [bugs:#1149] http://sourceforge.net/p/passwordsafe/bugs/1149/
      "Requested mode change failed"

      Status: accepted
      Created: Sun Dec 08, 2013 08:07 PM UTC by Philip Le Riche
      Last Updated: Thu Dec 26, 2013 08:42 PM UTC
      Owner: Rony Shapiro

      Having upgraded to v3.32, launching PaswordSafe (with -s option) gives
      a popup with a title "Requested mode change failed", saying "Failed to
      switch from R/W to R-O: Could not release database lock." Clicking OK,
      PasswordSafe appears to run normally.


      Sent from sourceforge.net because you indicated interest in
      https://sourceforge.net/p/passwordsafe/bugs/1149/

      To unsubscribe from further messages, please visit
      https://sourceforge.net/auth/subscriptions/


      This email is free from viruses and malware because avast! Antivirus protection is active.
      http://www.avast.com

       
  • Frank Hearl

    Frank Hearl - 2013-12-30

    I tried downloading the file but when I click the link, I get the following error:
    An error has been encountered in accessing this page.

    1. Server: pwsafe.org
    2. URL path: /tmp/pwsafe-3.32.1-bin.zip.
    3. Error notes: NONE
    4. Error type: 404
    5. Request method: GET
    6. Request query string: NONE
    7. Time: 2013-12-30 01:47:05 UTC (1388368025)
     
  • Frank Hearl

    Frank Hearl - 2013-12-30

    By the way, I tried completely removing the PWSafe program, rebooting and reinstalling. No luck. I tried creating a new database using Save As; no luck.

     
  • Rony Shapiro

    Rony Shapiro - 2013-12-30

    Argh. Silly editor made the period at the end of the sentence part of the URL. My bad for not testing the link. Please try again:
    http://pwsafe.org/tmp/pwsafe-3.32.1-bin.zip

     
  • Rony Shapiro

    Rony Shapiro - 2014-02-07

    Still can't reproduce this on my setup, so it looks like 3.33 will go out with this annoyance. Sorry.

    Note to self: Try to preserve SHFILEINFO attributes across saves? For lock files?

     
    • Philip Le Riche

      Philip Le Riche - 2014-02-07

      Hi Rony -

      Thank you for your continued efforts. The fact that you can't reproduce
      it indicates it's something environmental such as file or registry
      permissions or interaction with some system software. (I've just tried
      disabling AV - Avast Free edition with no effect). If there's anything
      else I can do to help, just let me know, e.g. running a debug version to
      enable you to get a stack trace?

      Regards - Philip

      On 07/02/2014 06:16, Rony Shapiro wrote:

      Still can't reproduce this on my setup, so it looks like 3.33 will go
      out with this annoyance. Sorry.

      Note to self: Try to preserve SHFILEINFO attributes across saves? For
      lock files?


      [bugs:#1149] http://sourceforge.net/p/passwordsafe/bugs/1149/
      "Requested mode change failed"

      Status: accepted
      Created: Sun Dec 08, 2013 08:07 PM UTC by Philip Le Riche
      Last Updated: Mon Dec 30, 2013 06:53 AM UTC
      Owner: Rony Shapiro

      Having upgraded to v3.32, launching PaswordSafe (with -s option) gives
      a popup with a title "Requested mode change failed", saying "Failed to
      switch from R/W to R-O: Could not release database lock." Clicking OK,
      PasswordSafe appears to run normally.


      Sent from sourceforge.net because you indicated interest in
      https://sourceforge.net/p/passwordsafe/bugs/1149/

      To unsubscribe from further messages, please visit
      https://sourceforge.net/auth/subscriptions/

       

      Related

      Bugs: #1149

    • Frank Hearl

      Frank Hearl - 2014-02-07

      I still have that problem. I hope it gets fixed in the next edition.

      From: Rony Shapiro [mailto:ronys@users.sf.net]
      Sent: Friday, February 07, 2014 1:17 AM
      To: [passwordsafe:bugs]
      Subject: [passwordsafe:bugs] #1149 "Requested mode change failed"

      Still can't reproduce this on my setup, so it looks like 3.33 will go out
      with this annoyance. Sorry.

      Note to self: Try to preserve SHFILEINFO attributes across saves? For lock
      files?


      [bugs:#1149] http://sourceforge.net/p/passwordsafe/bugs/1149/ "Requested
      mode change failed"

      Status: accepted
      Created: Sun Dec 08, 2013 08:07 PM UTC by Philip Le Riche
      Last Updated: Mon Dec 30, 2013 06:53 AM UTC
      Owner: Rony Shapiro

      Having upgraded to v3.32, launching PaswordSafe (with -s option) gives a
      popup with a title "Requested mode change failed", saying "Failed to switch
      from R/W to R-O: Could not release database lock." Clicking OK, PasswordSafe
      appears to run normally.


      Sent from sourceforge.net because you indicated interest in
      https://sourceforge.net/p/passwordsafe/bugs/1149/

      To unsubscribe from further messages, please visit
      https://sourceforge.net/auth/subscriptions/

       

      Related

      Bugs: #1149

  • Dark Grue

    Dark Grue - 2014-02-16

    Have the identical issue here.

    Windows 8.1 Pro
    Password Safe 3.33

    Starting PS from the "C:\Users\xxx xxxx\AppData\Roaming\Microsoft\Windows\Start Menu\Programs\Startup"

    Shortcut is "C:\Program Files (x86)\Password Safe\pwsafe.exe" -s "D:\Users\xxx xxxx\Documents\My Safes\pwsafe.psafe3"

    On startup, the message "Requested mode change failed Failed to switch from R/W to R-O: Could not release database lock. Try exiting and starting program." appears. Clicking "OK" then clicking the tray icon to open the safe work normally, and PS will open and close the file as normal until PS is exited and restarted.

    Perhaps something to do with the "-s" option specifically? It doesn't behave this way with the "-s" removed from the command line...

    Version 3.31 is the last version that didn't behave like this. Both 3.32 and 3.33 do it, however.

     
  • Dark Grue

    Dark Grue - 2014-02-24

    Same safe with same startup options works fine with 64-bit Windows 7 Home Premium.

     
  • Andrey Kuznetsov

    Last weekend I've tried once more to reproduce the bug in Win8.1 Pro x64, but without luck. Can someone, who have the issue create and attach pwsafe.cfg and minidump or call stack when message box with error is displayed. Because at this time database isn't opened and password wasn't entered yet, it will not reveal data from container (you can create empty database and run it from account of temporary user).

    Unfortunatelly standard task manager can't create correct dump for 32-bit app on 64-bit OS. So it's better to use Process Explorer (http://technet.microsoft.com/en-us/sysinternals/bb896653.aspx)

    To create full or minidump with Process Explorer: find pwsafe process in the list, right click on it, then select Create Dump-> Create Mini Dump

    To get a call stack with Process Explorer:
    - download PDB files for pwsafe 3.33 (you can find them in files section: pwsafe-3.33-map+pdb.zip)
    - unpack them somewhere and put path to "releasem" subdirectory to Process Explorer's symbols settings (Options->Configure Symbols:Symbols path)
    - double click on pwsafe process and select "Threads" tab
    - on each list item that have "pwsafe.exe" in "Start address" column click "Stack" button (or just double click on list item) and copy all data.

     
    Last edit: Andrey Kuznetsov 2014-04-01
    • Philip Le Riche

      Philip Le Riche - 2014-04-04
      • Err, forgot the .cfg file. In fact I had been using an older version
        (3.32.01 I think) so I renamed its Program Files(x86) folder and downloaded
        the latest and copied it to the same folder name. I'm a bit confused with
        several versions on my computer but I think this one dredged up from
        \Users\<me>\AppData\Local\PasswordSafe should at least be consistent with
        my normal config if not the precise one in use. Can do a more controlled
        test if necessary.

      Regards - Philip

      On 1 April 2014 06:01, Andrey Kuznetsov pm_kan@users.sf.net wrote:

      This week I've tried once more to reproduce the bug in Win8.1 Pro x64, but
      without luck. Can someone, who have the issue create and attach pwsafe.cfg
      and minidump or call stack when message box with error is displayed.
      Because at this time database isn't opened and password wasn't entered yet,
      it will not reveal data from container (you can create empty database and
      run it from account of temporary user).

      Unfortunatelly standard task manager can't create correct dump for 32-bit
      app on 64-bit OS. So it's better to use Process Explorer (
      http://technet.microsoft.com/en-us/sysinternals/bb896653.aspx)

      To create full or minidump with Process Explorer: find pwsafe process in
      the list, right click on it, then select Create Dump-> Create Mini Dump

      To get a call stack with Process Explorer:
      - download PDB files for pwsafe 3.33 (you can find them in files section:
      pwsafe-3.33-map+pdb.zip)
      - unpack them somewhere and put path to "releasem" subdirectory to Process
      Explorer's symbols settings (Options->Configure Symbols:Symbols path)
      - double click on pwsafe process and select "Threads" tab
      - on each list item that have "pwsafe.exe" in "Start address" column click
      "Stack" button (or just double click on list item) and copy all data.


      Status: accepted
      Group: v1.0_(example)

      Created: Sun Dec 08, 2013 08:07 PM UTC by Philip Le Riche
      Last Updated: Mon Feb 24, 2014 12:25 AM UTC
      Owner: Rony Shapiro

      Having upgraded to v3.32, launching PaswordSafe (with -s option) gives a
      popup with a title "Requested mode change failed", saying "Failed to switch
      from R/W to R-O: Could not release database lock." Clicking OK,
      PasswordSafe appears to run normally.


      Sent from sourceforge.net because you indicated interest in
      https://sourceforge.net/p/passwordsafe/bugs/1149/

      To unsubscribe from further messages, please visit
      https://sourceforge.net/auth/subscriptions/

       

      Related

      Bugs: #1149

    • Philip Le Riche

      Philip Le Riche - 2014-04-04

      Hi Andrey -

      Sorry it's taken a few days to get around to this, but very willing to
      provide further assistance as required.

      Mini dump attached and stack trace below, both from v3.33

      Regards - Philip

      wow64win.dll+0x3fe3a
      wow64win.dll+0x1aea8
      wow64.dll!Wow64SystemServiceEx+0xd7
      wow64cpu.dll!TurboDispatchJumpAddressEnd+0x2d
      wow64.dll!Wow64SystemServiceEx+0x1ce
      wow64.dll!Wow64KiUserCallbackDispatcher+0x204
      wow64win.dll+0x34583
      ntdll.dll!KiUserCallbackDispatcher+0x1f
      wow64cpu.dll!TurboDispatchJumpAddressEnd+0x6c0
      wow64cpu.dll!TurboDispatchJumpAddressEnd+0x676
      wow64.dll!Wow64SystemServiceEx+0x1ce
      wow64.dll!Wow64LdrpInitialize+0x42b
      ntdll.dll!RtlUniform+0x6e6
      ntdll.dll!RtlCreateTagHeap+0xa7
      ntdll.dll!LdrInitializeThunk+0xe
      USER32.dll!DispatchMessageW+0x5c
      pwsafe.exe!AfxInternalPumpMessage+0x18
      pwsafe.exe!CGeneralMsgBox::MessageBoxW+0x1fd
      pwsafe.exe!DboxMain::ChangeMode+0x4e3
      pwsafe.exe!DboxMain::LockDataBase+0x160
      pwsafe.exe!DboxMain::OnSize+0x340
      pwsafe.exe!CWnd::OnWndMsg+0x501
      pwsafe.exe!CWnd::WindowProc+0x22
      pwsafe.exe!DboxMain::WindowProc+0x2ee
      pwsafe.exe!AfxCallWndProc+0xb0
      pwsafe.exe!AfxWndProc+0x34
      USER32.dll!gapfnScSendMessage+0x332
      USER32.dll!GetThreadDesktop+0xd7
      USER32.dll!GetClientRect+0xc5
      USER32.dll!CallWindowProcW+0x1b
      pwsafe.exe!CSubclassWnd::WindowProc+0x27
      pwsafe.exe!CCoolMenuManager::WindowProc+0x5a
      pwsafe.exe!CMenuTipManager::WindowProc+0x80
      pwsafe.exe!HookWndProc+0xa1
      USER32.dll!gapfnScSendMessage+0x332
      USER32.dll!GetThreadDesktop+0xd7
      USER32.dll!LoadStringW+0x210
      USER32.dll!gapfnScSendMessage+0xac4
      USER32.dll!GetPropW+0x73
      USER32.dll!gapfnScSendMessage+0xbfc
      USER32.dll!GetCursor+0x3c5
      USER32.dll!GetCursor+0x1a9
      USER32.dll!gapfnScSendMessage+0x332
      USER32.dll!GetThreadDesktop+0xd7
      USER32.dll!GetClientRect+0xc5
      USER32.dll!CallWindowProcW+0x1b
      pwsafe.exe!CWnd::DefWindowProcW+0x46
      pwsafe.exe!CWnd::WindowProc+0x39
      pwsafe.exe!DboxMain::WindowProc+0x2ee
      pwsafe.exe!AfxCallWndProc+0xb0
      pwsafe.exe!AfxWndProc+0x34
      USER32.dll!gapfnScSendMessage+0x332
      USER32.dll!GetThreadDesktop+0xd7
      USER32.dll!GetClientRect+0xc5
      USER32.dll!CallWindowProcW+0x1b
      pwsafe.exe!CSubclassWnd::WindowProc+0x27
      pwsafe.exe!CCoolMenuManager::WindowProc+0x5a
      pwsafe.exe!CMenuTipManager::WindowProc+0x80
      pwsafe.exe!HookWndProc+0xa1
      USER32.dll!gapfnScSendMessage+0x332
      USER32.dll!GetDC+0x52
      USER32.dll!GetThreadDesktop+0x185
      USER32.dll!LoadStringW+0xee
      ntdll.dll!KiUserCallbackDispatcher+0x2e
      pwsafe.exe!DboxMain::OnMinimize+0x33
      pwsafe.exe!_AfxDispatchCmdMsg+0x42
      pwsafe.exe!CCmdTarget::OnCmdMsg+0x120
      pwsafe.exe!CPropertySheet::OnCmdMsg+0x1b
      pwsafe.exe!CWnd::OnCommand+0x89
      pwsafe.exe!CWnd::OnWndMsg+0x3c
      pwsafe.exe!CWnd::WindowProc+0x22
      pwsafe.exe!DboxMain::WindowProc+0x2ee
      pwsafe.exe!AfxCallWndProc+0xb0
      pwsafe.exe!AfxWndProc+0x34
      USER32.dll!gapfnScSendMessage+0x332
      USER32.dll!GetThreadDesktop+0xd7
      USER32.dll!GetClientRect+0xc5
      USER32.dll!CallWindowProcW+0x1b
      pwsafe.exe!CSubclassWnd::WindowProc+0x27
      pwsafe.exe!CCoolMenuManager::WindowProc+0x5a
      pwsafe.exe!CMenuTipManager::WindowProc+0x80
      pwsafe.exe!HookWndProc+0xa1
      USER32.dll!gapfnScSendMessage+0x332
      USER32.dll!GetThreadDesktop+0xd7
      USER32.dll!CharPrevW+0x138
      USER32.dll!DispatchMessageW+0xf
      pwsafe.exe!AfxInternalPumpMessage+0x3e
      pwsafe.exe!CWnd::RunModalLoop+0xc3
      pwsafe.exe!CWnd::CreateRunDlgIndirect+0x3e
      pwsafe.exe!CDialog::DoModal+0x10a
      pwsafe.exe!ThisMfcApp::InitInstance+0x46e
      pwsafe.exe!CWinApp::InitApplication+0x3b
      pwsafe.exe!AfxWinMain+0x46
      ntdll.dll!RtlInitializeExceptionChain+0x63
      ntdll.dll!RtlInitializeExceptionChain+0x36

      On 1 April 2014 06:01, Andrey Kuznetsov pm_kan@users.sf.net wrote:

      This week I've tried once more to reproduce the bug in Win8.1 Pro x64, but
      without luck. Can someone, who have the issue create and attach pwsafe.cfg
      and minidump or call stack when message box with error is displayed.
      Because at this time database isn't opened and password wasn't entered yet,
      it will not reveal data from container (you can create empty database and
      run it from account of temporary user).

      Unfortunatelly standard task manager can't create correct dump for 32-bit
      app on 64-bit OS. So it's better to use Process Explorer (
      http://technet.microsoft.com/en-us/sysinternals/bb896653.aspx)

      To create full or minidump with Process Explorer: find pwsafe process in
      the list, right click on it, then select Create Dump-> Create Mini Dump

      To get a call stack with Process Explorer:
      - download PDB files for pwsafe 3.33 (you can find them in files section:
      pwsafe-3.33-map+pdb.zip)
      - unpack them somewhere and put path to "releasem" subdirectory to Process
      Explorer's symbols settings (Options->Configure Symbols:Symbols path)
      - double click on pwsafe process and select "Threads" tab
      - on each list item that have "pwsafe.exe" in "Start address" column click
      "Stack" button (or just double click on list item) and copy all data.


      Status: accepted
      Group: v1.0_(example)

      Created: Sun Dec 08, 2013 08:07 PM UTC by Philip Le Riche
      Last Updated: Mon Feb 24, 2014 12:25 AM UTC
      Owner: Rony Shapiro

      Having upgraded to v3.32, launching PaswordSafe (with -s option) gives a
      popup with a title "Requested mode change failed", saying "Failed to switch
      from R/W to R-O: Could not release database lock." Clicking OK,
      PasswordSafe appears to run normally.


      Sent from sourceforge.net because you indicated interest in
      https://sourceforge.net/p/passwordsafe/bugs/1149/

      To unsubscribe from further messages, please visit
      https://sourceforge.net/auth/subscriptions/

       

      Related

      Bugs: #1149

  • Andrey Kuznetsov

    Hi Philip,
    Thanks for dump and stack trace!
    Now I can reproduce the issue: this message is shown when "Lock database on minimize" enabled (DatabaseClear set to 1 in config file). [As temporary workaround, you may disable this option until issue will be fixed.]
    I'll debug and fix it tomorrow.

     
    • Philip Le Riche

      Philip Le Riche - 2014-04-04

      Hi Andrey -

      Very glad that's helped locate it - it's been a tough one. And I can
      confirm that unchecking Lock Database on Minimise is a work-around,
      though not a very desirable one! I look forward to testing an updated
      version.

      Best regards - Philip

      On 04/04/2014 14:26, Andrey Kuznetsov wrote:

      Hi Philip,
      Thanks for dump and stack trace!
      Now I can reproduce the issue: this message is shown when "Lock
      database on minimize" enabled (DatabaseClear set to 1 in config file).
      [As temporary workaround, you may disable this option until issue will
      be fixed.]

      I'll debug and fix it tomorrow.


      [bugs:#1149] http://sourceforge.net/p/passwordsafe/bugs/1149/
      "Requested mode change failed"

      Status: accepted
      Group: v1.0_(example)
      Created: Sun Dec 08, 2013 08:07 PM UTC by Philip Le Riche
      Last Updated: Tue Apr 01, 2014 05:01 AM UTC
      Owner: Rony Shapiro

      Having upgraded to v3.32, launching PaswordSafe (with -s option) gives
      a popup with a title "Requested mode change failed", saying "Failed to
      switch from R/W to R-O: Could not release database lock." Clicking OK,
      PasswordSafe appears to run normally.


      Sent from sourceforge.net because you indicated interest in
      https://sourceforge.net/p/passwordsafe/bugs/1149/

      To unsubscribe from further messages, please visit
      https://sourceforge.net/auth/subscriptions/

       

      Related

      Bugs: #1149

      • Frank Hearl

        Frank Hearl - 2014-04-05

        You are correct. If I uncheck "Lock database on minimize" then close the
        program, it does not give the error the next time I start the program.
        However it is certainly less secure to leave the database open constantly on
        my desktop.

        <Frank>

        e-mail: fhearl@me.com fhearl@me.com

        From: Philip Le Riche [mailto:pleriche@users.sf.net]
        Sent: Friday, April 04, 2014 9:56 AM
        To: [passwordsafe:bugs]
        Subject: [passwordsafe:bugs] Re: #1149 "Requested mode change failed"

        Hi Andrey -

        Very glad that's helped locate it - it's been a tough one. And I can
        confirm that unchecking Lock Database on Minimise is a work-around,
        though not a very desirable one! I look forward to testing an updated
        version.

        Best regards - Philip

        On 04/04/2014 14:26, Andrey Kuznetsov wrote:

        Hi Philip,
        Thanks for dump and stack trace!
        Now I can reproduce the issue: this message is shown when "Lock
        database on minimize" enabled (DatabaseClear set to 1 in config file).
        [As temporary workaround, you may disable this option until issue will
        be fixed.]

        I'll debug and fix it tomorrow.


        [bugs:#1149] http://sourceforge.net/p/passwordsafe/bugs/1149/
        http://sourceforge.net/p/passwordsafe/bugs/1149/
        "Requested mode change failed"

        Status: accepted
        Group: v1.0_(example)
        Created: Sun Dec 08, 2013 08:07 PM UTC by Philip Le Riche
        Last Updated: Tue Apr 01, 2014 05:01 AM UTC
        Owner: Rony Shapiro

        Having upgraded to v3.32, launching PaswordSafe (with -s option) gives
        a popup with a title "Requested mode change failed", saying "Failed to
        switch from R/W to R-O: Could not release database lock." Clicking OK,
        PasswordSafe appears to run normally.


        Sent from sourceforge.net because you indicated interest in
        https://sourceforge.net/p/passwordsafe/bugs/1149/

        To unsubscribe from further messages, please visit
        https://sourceforge.net/auth/subscriptions/


        [bugs:#1149] http://sourceforge.net/p/passwordsafe/bugs/1149/ "Requested
        mode change failed"

        Status: accepted
        Group: v1.0_(example)
        Created: Sun Dec 08, 2013 08:07 PM UTC by Philip Le Riche
        Last Updated: Fri Apr 04, 2014 01:26 PM UTC
        Owner: Rony Shapiro

        Having upgraded to v3.32, launching PaswordSafe (with -s option) gives a
        popup with a title "Requested mode change failed", saying "Failed to switch
        from R/W to R-O: Could not release database lock." Clicking OK, PasswordSafe
        appears to run normally.


        Sent from sourceforge.net because you indicated interest in
        https://sourceforge.net/p/passwordsafe/bugs/1149/

        To unsubscribe from further messages, please visit
        https://sourceforge.net/auth/subscriptions/

         

        Related

        Bugs: #1149

  • Andrey Kuznetsov

    I found a way to fix it, but I'm not sure if it is good enough, so I've sent it for review to Rony. There is one more possible workaround, that allow to leave "Lock database on minimize" enabled: start in R-O mode (add "-r" to parameters).

     
  • Rony Shapiro

    Rony Shapiro - 2014-04-05

    Reviewed, approved, committed and pushed - good work, Andrey!

    A build with this fix can be found in
    http://pwsafe.org/tmp/pwsafe-3.33.1.exe

     
    • Dark Grue

      Dark Grue - 2014-04-07

      Fixed version appears to resolve problems here. Well done, Andrey!

       
1 2 > >> (Page 1 of 2)

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks